--
-- Kuali Coeus, a comprehensive research administration system for higher education.
--
-- Copyright 2005-2020 Kuali, Inc.
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
--
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/ApplicationTypeCode', 'You have a non-standard application type for the SF424', 'proposal', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/Revision/RevisionCode1', 'You have entered an invalid revision type for the SF424', 'grantsGov', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/Applicant/City', 'Organization''s city is not valid', 'proposal.Organization/Location', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/PhoneNumber', 'Phone number missing for PD/PI.', 'keyPersonnel', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/Email', 'Email address missing for PD/PI.', 'keyPersonnel', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/StateReview', 'Please answer the State Executive Order questions for this form within the Questions tab.', 'questions', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/StateReviewAvailableDate', 'Please answer the State Review Date questions for this form within the Questions tab.', 'questions', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/SF424_3_0/Applicant', 'The country code for the organization address is invalid.', 'proposal.Organization/Location', SYSDATE, 'admin', 1, SYS_GUID());

UPDATE KRMS_TERM_PARM_T SET VAL = 'SF424-V1.0,SF424-V2.0,SF424-V2.1,SF424_3_0-V3.0'
WHERE TERM_PARM_ID = 'KC2002' AND TERM_ID = 'KC2002';

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/RR_KeyPerson_2_0/KeyPerson/Profile/Address', 'The country code for a key person address is invalid.', 'keyPersonnel', SYSDATE, 'admin', 1, SYS_GUID());

INSERT INTO S2S_ERROR (S2S_ERROR_ID, MESSAGE_KEY, MESSAGE, FIX_LINK, UPDATE_TIMESTAMP, UPDATE_USER, VER_NBR, OBJ_ID)
VALUES (SEQ_S2S_ERROR_ID.NEXTVAL, '/GrantApplication/Forms/RR_KeyPerson_2_0/PDPI/Profile/Address', 'The country code for the PD/PI address is invalid.', 'keyPersonnel', SYSDATE, 'admin', 1, SYS_GUID());
